Pages

Rotate a page link

POST
/page-links/{link_id}/rotate

Issue a new token for a link; the old url stops working immediately.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/page-links/123e4567-e89b-42d3-a456-426614174000/rotate" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "page_id": "123e4567-e89b-42d3-a456-426614174001",  "page_version_id": "123e4567-e89b-42d3-a456-426614174002",  "page_version_number": 3,  "label": "Customer review",  "status": "ACTIVE",  "state": "active",  "auth_version": 2,  "expires_at": null,  "max_visits": null,  "visit_count": 4,  "has_password": false,  "access_mode": "ANONYMOUS",  "allowed_emails": [],  "allowed_domains": [],  "submission_mode": "NONE",  "submission_count": 0,  "last_visited_at": "2026-09-04T12:00:00Z",  "locale": null,  "permissions": {},  "context": {},  "source_type": "USER",  "source_id": null,  "source_metadata": {},  "created_by": {    "id": "123e4567-e89b-42d3-a456-426614174002",    "name": "Ada Lovelace",    "email": "ada@example.com"  },  "created_at": "2026-09-04T12:00:00Z",  "updated_at": "2026-09-04T12:00:00Z"}